Subject: Re: [PATCH v4 4/6] xdiff/xdl_cleanup_records: make limits more clear

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Mar 2026 09:13:58 -0700

Phillip Wood <[email-masked]> writes:

>> +	} else {
>> +		mlim1 = XDL_MIN(xdl_bogosqrt(xdf1->nrec), XDL_MAX_EQLIMIT);
>> +		mlim2 = XDL_MIN(xdl_bogosqrt(xdf2->nrec), XDL_MAX_EQLIMIT);
>
> As Junio has pointed out we now evaluate xdl_bogosqrt() twice which is 
> unfortunate. It would have been nice to mention that in the commit 
> message and explain why it does not matter.

Yup, that completely slipped my mind.  Personally I too find the
original perfectly readable, but the updated one is not too bad,
either.

Thanks.